Subject: Re: [1.8.0] 't/' is standard name for directory with tests

From: Sam Vilain <[email-masked]>
Date: Thu, 03 Feb 2011 12:55:46 +1300

On 01/02/11 14:15, Junio C Hamano wrote:
> I am fine with "tests/", by the way.

FWIW, CCAN and Rubygems both use plain "test".

"t/" is a long standing convention for many projects, dating back to at
least 1987 with Perl 1.0.  As far as I know it was unusual at the time
for being a very test-driven development and inventing the TAP (Test
Anything Protocol).  It is something of a mark of respect to the
heritage of TDD to have it there, but that doesn't mean that "test"
might be better for the project now.

I'd also think about removing the "t" from the front of all the test
script names, those are a PITA :-).  And possibly allowing the scripts
to be broken into subdirectories.

Sam